TypeInfoUtil (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: TypeInfoUtil

Package com.sun.jna.platform.win32.COM

# Class TypeInfoUtil

java.lang.Object
com.sun.jna.platform.win32.COM.TypeInfoUtil

public class TypeInfoUtil extends Object
The Class ITypeInfoUtil.

Author:
  wolf.tobias@gmx.net The Class ITypeInfoUtil.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TypeInfoUtil.ContainingTypeLib`
  The Class ContainingTypeLib.
  `static class`
  `TypeInfoUtil.DllEntry`
  The Class DllEntry.
  `static class`
  `TypeInfoUtil.Invoke`
  The Class Invoke.
  `static class`
  `TypeInfoUtil.TypeInfoDoc`
  The Class TypeInfoDoc.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OleAuto`
  `OLEAUTO`
  The Constant OLEAUTO.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeInfoUtil(ITypeInfo typeInfo)`
  Instantiates a new i type info util.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PointerByReference`
  `AddressOfMember(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind)`
  Address of member.
  `PointerByReference`
  `CreateInstance(IUnknown pUnkOuter, Guid.REFIID riid)`
  Creates the instance.
  `TypeInfoUtil.ContainingTypeLib`
  `GetContainingTypeLib()`
  Gets the containing type lib.
  `TypeInfoUtil.DllEntry`
  `GetDllEntry(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind)`
  Gets the dll entry.
  `TypeInfoUtil.TypeInfoDoc`
  `getDocumentation(OaIdl.MEMBERID memid)`
  Gets the documentation.
  `OaIdl.FUNCDESC`
  `getFuncDesc(int index)`
  Gets the func desc.
  `OaIdl.MEMBERID[]`
  `getIDsOfNames(WTypes.LPOLESTR[] rgszNames, int cNames)`
  Gets the i ds of names.
  `int`
  `getImplTypeFlags(int index)`
  Gets the impl type flags.
  `String`
  `GetMops(OaIdl.MEMBERID memid)`
  Gets the mops.
  `String[]`
  `getNames(OaIdl.MEMBERID memid, int maxNames)`
  Gets the names.
  `ITypeInfo`
  `getRefTypeInfo(OaIdl.HREFTYPE hreftype)`
  Gets the ref type info.
  `OaIdl.HREFTYPE`
  `getRefTypeOfImplType(int index)`
  Gets the ref type of impl type.
  `OaIdl.TYPEATTR`
  `getTypeAttr()`
  Gets the type attr.
  `TypeComp`
  `getTypeComp()`
  Gets the type comp.
  `OaIdl.VARDESC`
  `getVarDesc(int index)`
  Gets the var desc.
  `TypeInfoUtil.Invoke`
  `Invoke(WinDef.PVOID pvInstance, OaIdl.MEMBERID memid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams)`
  Invoke.
  `void`
  `ReleaseFuncDesc(OaIdl.FUNCDESC pFuncDesc)`
  Release func desc.
  `void`
  `ReleaseTypeAttr(OaIdl.TYPEATTR pTypeAttr)`
  Release type attr.
  `void`
  `ReleaseVarDesc(OaIdl.VARDESC pVarDesc)`
  Release var desc.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OLEAUTO

    public static final OleAuto OLEAUTO
    The Constant OLEAUTO.

- ## Constructor Details

  - ### TypeInfoUtil

    public TypeInfoUtil(ITypeInfo typeInfo)
    Instantiates a new i type info util.
    Parameters:
      `typeInfo` - the type info

- ## Method Details

  - ### getTypeAttr

    public OaIdl.TYPEATTR getTypeAttr()
    Gets the type attr.
    Returns:
      the type attr

  - ### getTypeComp

    public TypeComp getTypeComp()
    Gets the type comp.
    Returns:
      the type comp

  - ### getFuncDesc

    public OaIdl.FUNCDESC getFuncDesc(int index)
    Gets the func desc.
    Parameters:
      `index` - the index
    Returns:
      the func desc

  - ### getVarDesc

    public OaIdl.VARDESC getVarDesc(int index)
    Gets the var desc.
    Parameters:
      `index` - the index
    Returns:
      the var desc

  - ### getNames

    public String[] getNames(OaIdl.MEMBERID memid, int maxNames)
    Gets the names.
    Parameters:
      `memid` - the memid
      `maxNames` - the max names
    Returns:
      the names

  - ### getRefTypeOfImplType

    public OaIdl.HREFTYPE getRefTypeOfImplType(int index)
    Gets the ref type of impl type.
    Parameters:
      `index` - the index
    Returns:
      the ref type of impl type

  - ### getImplTypeFlags

    public int getImplTypeFlags(int index)
    Gets the impl type flags.
    Parameters:
      `index` - the index
    Returns:
      the impl type flags

  - ### getIDsOfNames

    public OaIdl.MEMBERID[] getIDsOfNames(WTypes.LPOLESTR[] rgszNames, int cNames)
    Gets the i ds of names.
    Parameters:
      `rgszNames` - the rgsz names
      `cNames` - the c names
    Returns:
      the i ds of names

  - ### Invoke

    public TypeInfoUtil.Invoke Invoke(WinDef.PVOID pvInstance, OaIdl.MEMBERID memid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams)
    Invoke.
    Parameters:
      `pvInstance` - the pv instance
      `memid` - the memid
      `wFlags` - the w flags
      `pDispParams` - the disp params
    Returns:
      the invoke

  - ### getDocumentation

    public TypeInfoUtil.TypeInfoDoc getDocumentation(OaIdl.MEMBERID memid)
    Gets the documentation.
    Parameters:
      `memid` - the memid
    Returns:
      the documentation

  - ### GetDllEntry

    public TypeInfoUtil.DllEntry GetDllEntry(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind)
    Gets the dll entry.
    Parameters:
      `memid` - the memid
      `invKind` - the inv kind
    Returns:
      the dll entry

  - ### getRefTypeInfo

    public ITypeInfo getRefTypeInfo(OaIdl.HREFTYPE hreftype)
    Gets the ref type info.
    Parameters:
      `hreftype` - the hreftype
    Returns:
      the ref type info

  - ### AddressOfMember

    public PointerByReference AddressOfMember(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind)
    Address of member.
    Parameters:
      `memid` - the memid
      `invKind` - the inv kind
    Returns:
      the pointer by reference

  - ### CreateInstance

    public PointerByReference CreateInstance(IUnknown pUnkOuter, Guid.REFIID riid)
    Creates the instance.
    Parameters:
      `pUnkOuter` - the unk outer
      `riid` - the riid
    Returns:
      the pointer by reference

  - ### GetMops

    public String GetMops(OaIdl.MEMBERID memid)
    Gets the mops.
    Parameters:
      `memid` - the memid
    Returns:
      the string

  - ### GetContainingTypeLib

    public TypeInfoUtil.ContainingTypeLib GetContainingTypeLib()
    Gets the containing type lib.
    Returns:
      the containing type lib

  - ### ReleaseTypeAttr

    public void ReleaseTypeAttr(OaIdl.TYPEATTR pTypeAttr)
    Release type attr.
    Parameters:
      `pTypeAttr` - the type attr

  - ### ReleaseFuncDesc

    public void ReleaseFuncDesc(OaIdl.FUNCDESC pFuncDesc)
    Release func desc.
    Parameters:
      `pFuncDesc` - the func desc

  - ### ReleaseVarDesc

    public void ReleaseVarDesc(OaIdl.VARDESC pVarDesc)
    Release var desc.
    Parameters:
      `pVarDesc` - the var desc